Cyberduck Mountain Duck CLI

#7259 closed defect (fixed)

When making S3 urls with expiry date the date shows as 02/01/0001

Reported by: rory kingan Owned by: yla
Priority: normal Milestone: 4.4
Component: s3 Version: 4.3.1
Severity: normal Keywords: s3 expires
Cc: Architecture: Intel
Platform: Windows 7

Description

When I right-click on an S3 file using Cyberduck and choose Copy URL each of the submenu items with an expiry date show the date 02/01/0001 instead of the correct date. The URLs do work and appear to be the correct values, i.e. expiring relative to today and not actually expiring 02/01/0001.

I'm using Windows, with regional settings British, with timezone London.

Attachments (1)

cyberduck.png (10.5 KB) - added by rory kingan on May 17, 2013 at 12:27:42 PM.

Download all attachments as: .zip

Change History (4)

Changed on May 17, 2013 at 12:27:42 PM by rory kingan

comment:1 Changed on May 17, 2013 at 4:28:51 PM by dkocher

  • Component changed from core to s3
  • Milestone set to 4.3.2
  • Owner set to yla

comment:2 Changed on May 21, 2013 at 4:49:47 PM by sashaso

I am experiencing same problem. Windows Vista.

user.config also gets overwritten back to default state. Edited to include

<setting name=”s3.url.expire.seconds” value=”86400” />

Tried multiple seconds settings with no success. Would like to enable signed URL expiration dates as a multiple of seconds (1 year, 2 years, etc.)

Changed file property to "read only" but this did not work either (caused system crash). System only appears to default to 24h with incorrect date displayed, as noted above.

comment:3 Changed on May 22, 2013 at 5:52:32 PM by yla

  • Resolution set to fixed
  • Status changed from new to closed

In r11048.

Note: See TracTickets for help on using tickets.